package com.ibm.spss.cads.dataservice.adv;

import org.apache.log4j.Logger;

import com.spss.pev.schema.types.PevDataType;

public class Field {
	
	private String itsName = null ;
	private PevDataType itsPevDataType = null ;
	private String itsValue = null ;
	
	public Field (String theName, PevDataType theType, String theValue) {
		itsName = theName ;
		itsPevDataType= theType ;
		itsValue = theValue ;
	}
	
	public String getName () {
		return itsName ;
	}
	
	public PevDataType getType () {
		return itsPevDataType ;
	}
	
	public String getValue () {
		return itsValue ;
	}
	
	public String toString () {
		return itsName + " (" + itsPevDataType.toString() + ") - " + itsValue ;
	}
}
